<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  props: {
    data: {
      type: Array,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <section class="customer-logos">
    <div class="customer-logos__companies slp-flex">
      <SlpTypography tag="h5" variant="heading5" class="slp-my-24"
        >Trusted By</SlpTypography
      >
      <a
        v-for="company in data"
        :key="company.alt"
        :href="company.url"
        :data-ga-name="company.alt"
        data-ga-location="body"
        target="_blank"
        :aria-label="company.link_label ? company.link_label : null"
      >
        <img
          class="customer-logos__company-icon"
          :src="company.image_url"
          :alt="company.alt ? company.alt : 'company logo'"
        />
      </a>
    </div>
  </section>
</template>

<style lang="scss" scoped>
.customer-logos {
  padding: $spacing-48 0;

  @media (max-width: $breakpoint-md) {
    h5 {
      width: 100%;
      text-align: center;
    }
    .customer-logos__companies {
      a {
        width: 100px;
      }
    }

    .customer-logos__title-column {
      margin-right: 0;
      margin-bottom: $spacing-24;
    }
  }

  &__companies {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    align-items: center;
    position: relative;

    a {
      max-width: 140px;
      width: 100%;
      margin: $spacing-8 $spacing-24 $spacing-8 $spacing-8;

      @media (min-width: 1008px) {
        &:first-of-type {
          margin-left: $spacing-16;
        }
      }

      img {
        max-width: 100%;
      }
    }

    img:hover {
      transform: scale(1.05);
      transition: all 0.2s ease-in-out;
    }
  }

  @media (min-width: 578px) {
    .customer-logos__companies::after {
      content: '';
      flex: auto;
    }
  }

  @media (max-width: 529px) {
    .customer-logos__companies {
      justify-content: space-between;
    }
  }

  @media (max-width: 382px) {
    .customer-logos__companies a {
      width: 90px;
    }
  }
}
</style>
